{
  "name": "website_front",
  "version": "1.0.0",
  "description": "n_ToF website front-end",
  "author": "Sylvain Fargier <sylvain.fargier@cern.ch>",
  "scripts": {
    "help": "npm-scripts-info",
    "info": "run-s help",
    "test": "karma start --single-run --browsers ChromiumHeadless",
    "test:ci": "karma start --single-run --browsers ChromiumDocker",
    "test:watch": "nodemon -w src -w test -e vue,js,json -x karma start --single-run --browsers ChromiumHeadless",
    "build": "webpack --progress",
    "build:watch": "webpack -w --progress",
    "build:prod": "NODE_ENV=production webpack --progress",
    "lint": "./bin/lint",
    "lint:watch": "run-s 'watch -- run-s lint'",
    "lint:ci:builder": "./bin/lint --builder",
    "lint:ci:report": "./bin/mkci-lint-report",
    "tc:ci:builder": "./bin/tc --builder",
    "tc:ci:report": "./bin/mkci-tc-report",
    "watch": "nodemon -w src -w test -e vue,js,json -x "
  },
  "dependencies": {
    "@cern/base-vue": "^1.0.4",
    "@cern/base-web-workers": "^1.0.2",
    "@fortawesome/fontawesome-free": "^5.15.4",
    "axios": "^0.24.0",
    "bootstrap": "latest-4",
    "jquery": "^3.6.0",
    "lodash": "^4.17.21",
    "moment": "^2.29.1",
    "vue": "^2.6.14",
    "vue-router": "^3.5.3",
    "vue-simple-calendar": "^5.0.0",
    "vuex": "^3.6.2",
    "vuex-persistedstate": "^4.1.0"
  },
  "devDependencies": {
    "@babel/core": "^7.16.0",
    "@babel/preset-env": "^7.16.0",
    "@tsconfig/recommended": "^1.0.1",
    "@types/chai": "^4.2.22",
    "@types/debug": "^4.1.7",
    "@types/dirty-chai": "^2.0.2",
    "@types/jquery": "^3.5.8",
    "@types/lodash": "^4.14.176",
    "@types/luxon": "^2.0.7",
    "@types/mocha": "^9.0.0",
    "@types/node": "^16.11.7",
    "@vue/test-utils": "=1.2.2",
    "babel-eslint": "^10.1.0",
    "babel-loader": "^8.2.3",
    "babel-plugin-istanbul": "^6.1.1",
    "chai": "^4.3.4",
    "commander": "^8.3.0",
    "compression-webpack-plugin": "^9.0.0",
    "css-loader": "^6.5.1",
    "dirty-chai": "^2.0.1",
    "eslint": "^8.2.0",
    "eslint-plugin-pug": "^1.2.4",
    "eslint-plugin-vue": "^8.0.3",
    "file-loader": "^6.2.0",
    "jshint": "^2.13.1",
    "@cern/karma-mocha-webpack": "^1.0.3",
    "@cern/mkbadge": "^1.0.1",
    "mocha": "^9.1.3",
    "nodemon": "^2.0.15",
    "nyc": "^15.1.0",
    "@cern/prom": "^1.0.3",
    "pug": "^3.0.2",
    "pug-plain-loader": "^1.1.0",
    "sass": "^1.43.4",
    "sass-loader": "^12.3.0",
    "sinon": "^12.0.1",
    "sinon-chai": "^3.7.0",
    "style-loader": "^3.3.1",
    "typescript": "^4.5.4",
    "vue-loader": "^15.9.8",
    "vue-template-compiler": "^2.6.14",
    "webpack": "^5.64.0",
    "webpack-cli": "^4.9.1",
    "worker-loader": "^3.0.8"
  },
  "engines": {
    "node": ">= 6.0.0",
    "npm": ">= 3.0.0"
  }
}
